Bug 505694 - error while loading shared libraries: libcrypto.so.7:
error while loading shared libraries: libcrypto.so.7:
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 19:12 EDT by Zing
Modified: 2009-06-18 07:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.4-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 07:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2009-06-12 19:12:24 EDT
Description of problem:
$ rtorrent 
rtorrent: error while loading shared libraries: libcrypto.so.7: cannot open shared object file: No such file or directory


Version-Release number of selected component (if applicable):
rtorrent-0.8.4-3.fc11.x86_64


Additional info:
This machine was just upgraded from f10->f11.

$ ldd /usr/bin/rtorrent 
...
	libcrypto.so.7 => not found
Comment 1 Conrad Meyer 2009-06-12 19:41:28 EDT
I suspect this just needs to be rebuilt against the new openssl in F-11; I'm not sure why this wasn't caught before / why rpmbuild's auto SO requires didn't catch this. Doing a rebuild now.
Comment 2 Fedora Update System 2009-06-12 20:09:46 EDT
rtorrent-0.8.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rtorrent-0.8.4-4.fc11
Comment 3 Fedora Update System 2009-06-15 22:09:09 EDT
rtorrent-0.8.4-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rtorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6309
Comment 4 Fedora Update System 2009-06-18 07:52:27 EDT
rtorrent-0.8.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.